Bug 511036 - ipw3945 and iwl3945 driver conflict
ipw3945 and iwl3945 driver conflict
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ipw3945-kmod (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Jon Masters
desktop-bugs@redhat.com
:
: 515621 (view as bug list)
Depends On:
Blocks: 518583 RHEL5u4_relnotes
  Show dependency treegraph
 
Reported: 2009-07-13 08:07 EDT by Prarit Bhargava
Modified: 2010-11-09 08:17 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Red Hat is no longer able to responsibly support the ipw3945 wireless laptop network driver to the full levels of service, as the upstream company responsible for that driver has suspended maintenance efforts on the driver. Red Hat, following the guidance of the company responsible for the driver has migrated over to the iwl3945 driver (first introduced in Red Hat Enterprise Linux 5.3). Ongoing maintenance of driver issues associated with the 3945 hardware will be provided on the iwl3945 driver. All fresh/full installations of Red Hat Enterprise Linux 5.4 on systems with 3945 hardware will install the iwl3945 driver. Red Hat continues to provide the ipw3945 driver in Red Hat Enterprise Linux 5.4 as a migration convenience. It is recommended that customers transition to the iwl3945 driver. Refer to the Red Hat Knowledgebase for details on how to transition if you are doing an update install from a system that had its full installation prior to Red Hat Enterprise Linux 5.4. Customers who report issues with the ipw3945 driver may be referred to migrate to the iwl3945 driver for resolution. For example, there are known issues connecting to VPN concentrators present in the ipw3945 driver which are resolved in the iwl3945 driver. Note the use of the iwl3945 driver requires installing the iwl3945-firmware package from the supplementary RHN channel. Package version 15.28.2.8-2 or later is required. (ie iwl3945-firmware-15.28.2.8-2 or later) Additionally, the device name, for example as it appears in the output of the `ifconfig` command appears as eth0 (or eth1) when using the ipw3945 driver, when using the iwl3945 driver it is identified as wlan0.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 00:27:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prarit Bhargava 2009-07-13 08:07:38 EDT
Description of problem:

From private email:

"This AM Irina asked Don & myself to take a look at her laptop which was hanging while attempting to get an IP address for eth0.

After some initial investigation Don & I determined that it was not in fact the wired ethernet causing a problem but the wireless driver and ipw3945d daemon.

Some background: RHEL5.0 did not ship an 3945 driver.  The driver used was Intel's ipw3945 from kmod-ipw3945.  This driver has an associated ipw3945d user-space daemon which loads firmware.  The driver is installed in the /lib/modules/.../updates directory.

RHEL5.2 did ship a 3945 driver with the kernel making the need for the ipw3945 unneccessary.  This new iwl3945 driver resides in the /lib/modules/.../drivers/net/wireless/ directory.

The problem is this:  Since the old ip3945d driver is installed in the /updates directory it is "carried forward" by every new kernel that is installed.

ex) if you have installed 2.6.18-126 + kmod-ipw3945, and then update to 2.6.18-126.0.6 (for example), the ipw3945 is copied into the /lib/modules/2.6.18-128.1.6/extras directory.

So what happens in customer's systems with an updated z-stream kernel is that they *never use the new iwl3945 driver* as it is overridden by the old ipw3945 driver in /updates.

This leads to a few questions:

1.  What is the preferred method for eliminating the ipw3945 driver? 'rpm -e kmod-ipw3945'?

2.  What are the steps to remove the ipw3945 driver on those customer's systems that use the ipw3945 driver who have already upgraded to a newer kernel?

3.  Does ipw3945d need to be running/actually do anything when running the new iwl3945 driver?

- I have left out the important step of loading the iwl3945-firmware package when using the iwl3945 driver.  Assume that we were smart enough to figure this out"

Version-Release number of selected component (if applicable): RHEL5.4 latest trees (20090713), and CSB


How reproducible: 100%

Additional Info:

Suggested solution, by jcm, is to kill the kmod and force everyone to switch in the next update.

* helpdesk needs to be notified of any possible workaround or solution as this is effecting the CSB *

Blocker: This issue prevents loading on some IBM/Lenovo laptops.
Comment 1 Prarit Bhargava 2009-07-13 08:08:22 EDT
Sorry, wrong component.

P.
Comment 2 Prarit Bhargava 2009-07-14 08:51:36 EDT
Adding Jason Montleon from helpdesk ...

P.
Comment 4 Huzaifa S. Sidhpurwala 2009-07-15 05:16:13 EDT
Note:
we would rather do a rpm -e kmod-ipw3945, unless there are other implications.
Comment 5 Zack Cerza 2009-07-20 12:57:18 EDT
When we added iwl3945 in 5.3, the decision was made to keep existing kmod-ipw3945 users on that driver due to upgrade path issues. I think if we found a way to cleanly migrate users to iwl3945, nobody would argue against it as the iwl driver is generally seen to be superior (and who wants two drivers for one device anyway).

I haven't seen the hanging issue, but I'm not entirely surprised that someone ran into one. Hopefully this gives us the motivation to figure out a better upgrade path.
Comment 9 Tim Burke 2009-08-05 22:02:13 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
- RH is no longer able to responsibly support the ipw3945 to our normal full levels of service as the upstream company responsible for that driver has suspended maintenance efforts on this particular driver.
- RH, following the guidance of the company responsible for the driver has migrated over to the iwl3945 driver (first introduced in RHEL5.3)
- Ongoing maintenance of driver issues associated with the 3945 hardware will be provided on the iwl3945 driver.
- All fresh/full installations of RHEL5.4 on systems with 3945 hardware will install the iwl3945 driver.
- RH continues to provide the ipw3945 driver in RHEL5.4 as a migration convenience.  We do recommend that customers transition to the iwl3945 driver.  Refer here to (kbase) for details on how to transition if you are doing an update install from a system that had its full installation prior to RHEL5.4.
- Customers who report issues with the ipw3945 driver may be referred to migrate to the iwl3945 driver for resolution.
- Note that use of the iwl3945 driver requires installing the iwl3945-firmware package from the supplementary RHN channel.  Package version 15.28.2.8-2 or later is required.  (ie iwl3945-firmware-15.28.2.8-2 or later)
Comment 10 Tim Burke 2009-08-05 22:06:21 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,7 +1,9 @@
+editorial comment: this is an important migration issue. therefore it warrants the prominence of mention in the relnotes; rather than being obscured in the tech notes.
 - RH is no longer able to responsibly support the ipw3945 to our normal full levels of service as the upstream company responsible for that driver has suspended maintenance efforts on this particular driver.
 - RH, following the guidance of the company responsible for the driver has migrated over to the iwl3945 driver (first introduced in RHEL5.3)
 - Ongoing maintenance of driver issues associated with the 3945 hardware will be provided on the iwl3945 driver.
 - All fresh/full installations of RHEL5.4 on systems with 3945 hardware will install the iwl3945 driver.
 - RH continues to provide the ipw3945 driver in RHEL5.4 as a migration convenience.  We do recommend that customers transition to the iwl3945 driver.  Refer here to (kbase) for details on how to transition if you are doing an update install from a system that had its full installation prior to RHEL5.4.
-- Customers who report issues with the ipw3945 driver may be referred to migrate to the iwl3945 driver for resolution.
+- Customers who report issues with the ipw3945 driver may be referred to migrate to the iwl3945 driver for resolution.  For example, there are known issues connecting to VPN concentrators present in the ipw3945 driver which are resolved in the iwl3945 driver.
-- Note that use of the iwl3945 driver requires installing the iwl3945-firmware package from the supplementary RHN channel.  Package version 15.28.2.8-2 or later is required.  (ie iwl3945-firmware-15.28.2.8-2 or later)+- Note that use of the iwl3945 driver requires installing the iwl3945-firmware package from the supplementary RHN channel.  Package version 15.28.2.8-2 or later is required.  (ie iwl3945-firmware-15.28.2.8-2 or later)
+- Also note that the device name, for example as it appears in the output of the `ifconfig` command appears as eth0 (or eth1) when using the ipw3945 driver, when using the iwl3945 driver it is identified as wlan0.
Comment 11 Tim Burke 2009-08-05 22:07:31 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,9 +1,10 @@
-editorial comment: this is an important migration issue. therefore it warrants the prominence of mention in the relnotes; rather than being obscured in the tech notes.
+editorial comment: this is an important migration issue. therefore it warrants the prominence of mention in the relnotes; rather than being obscured in the tech notes.)
+
 - RH is no longer able to responsibly support the ipw3945 to our normal full levels of service as the upstream company responsible for that driver has suspended maintenance efforts on this particular driver.
 - RH, following the guidance of the company responsible for the driver has migrated over to the iwl3945 driver (first introduced in RHEL5.3)
 - Ongoing maintenance of driver issues associated with the 3945 hardware will be provided on the iwl3945 driver.
 - All fresh/full installations of RHEL5.4 on systems with 3945 hardware will install the iwl3945 driver.
-- RH continues to provide the ipw3945 driver in RHEL5.4 as a migration convenience.  We do recommend that customers transition to the iwl3945 driver.  Refer here to (kbase) for details on how to transition if you are doing an update install from a system that had its full installation prior to RHEL5.4.
+- RH continues to provide the ipw3945 driver in RHEL5.4 as a migration convenience.  We do recommend that customers transition to the iwl3945 driver.  Refer here to (kbase - that Jeremy West agreed to do) for details on how to transition if you are doing an update install from a system that had its full installation prior to RHEL5.4.
 - Customers who report issues with the ipw3945 driver may be referred to migrate to the iwl3945 driver for resolution.  For example, there are known issues connecting to VPN concentrators present in the ipw3945 driver which are resolved in the iwl3945 driver.
 - Note that use of the iwl3945 driver requires installing the iwl3945-firmware package from the supplementary RHN channel.  Package version 15.28.2.8-2 or later is required.  (ie iwl3945-firmware-15.28.2.8-2 or later)
 - Also note that the device name, for example as it appears in the output of the `ifconfig` command appears as eth0 (or eth1) when using the ipw3945 driver, when using the iwl3945 driver it is identified as wlan0.
Comment 12 Tim Burke 2009-08-06 08:37:04 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,6 +1,6 @@
 editorial comment: this is an important migration issue. therefore it warrants the prominence of mention in the relnotes; rather than being obscured in the tech notes.)
 
-- RH is no longer able to responsibly support the ipw3945 to our normal full levels of service as the upstream company responsible for that driver has suspended maintenance efforts on this particular driver.
+- RH is no longer able to responsibly support the ipw3945 wireless laptop network driver to our normal full levels of service as the upstream company responsible for that driver has suspended maintenance efforts on this particular driver.
 - RH, following the guidance of the company responsible for the driver has migrated over to the iwl3945 driver (first introduced in RHEL5.3)
 - Ongoing maintenance of driver issues associated with the 3945 hardware will be provided on the iwl3945 driver.
 - All fresh/full installations of RHEL5.4 on systems with 3945 hardware will install the iwl3945 driver.
Comment 13 Suzanne Yeghiayan 2009-08-06 13:32:11 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,10 +1,10 @@
 editorial comment: this is an important migration issue. therefore it warrants the prominence of mention in the relnotes; rather than being obscured in the tech notes.)
 
-- RH is no longer able to responsibly support the ipw3945 wireless laptop network driver to our normal full levels of service as the upstream company responsible for that driver has suspended maintenance efforts on this particular driver.
-- RH, following the guidance of the company responsible for the driver has migrated over to the iwl3945 driver (first introduced in RHEL5.3)
+- Red Hat is no longer able to responsibly support the ipw3945 wireless laptop network driver to our normal full levels of service as the upstream company responsible for that driver has suspended maintenance efforts on this particular driver.
+- Red Hat, following the guidance of the company responsible for the driver has migrated over to the iwl3945 driver (first introduced in Red Hat Enterprise Linux 5.3)
 - Ongoing maintenance of driver issues associated with the 3945 hardware will be provided on the iwl3945 driver.
-- All fresh/full installations of RHEL5.4 on systems with 3945 hardware will install the iwl3945 driver.
-- RH continues to provide the ipw3945 driver in RHEL5.4 as a migration convenience.  We do recommend that customers transition to the iwl3945 driver.  Refer here to (kbase - that Jeremy West agreed to do) for details on how to transition if you are doing an update install from a system that had its full installation prior to RHEL5.4.
+- All fresh/full installations of Red Hat Enterprise Linux 5.4 on systems with 3945 hardware will install the iwl3945 driver.
+- Red Hat continues to provide the ipw3945 driver in Red Hat Enterprise Linux 5.4 as a migration convenience.  We do recommend that customers transition to the iwl3945 driver.  Refer here to (kbase - that Jeremy West agreed to do) for details on how to transition if you are doing an update install from a system that had its full installation prior to Red Hat Enterprise Linux 5.4.
 - Customers who report issues with the ipw3945 driver may be referred to migrate to the iwl3945 driver for resolution.  For example, there are known issues connecting to VPN concentrators present in the ipw3945 driver which are resolved in the iwl3945 driver.
 - Note that use of the iwl3945 driver requires installing the iwl3945-firmware package from the supplementary RHN channel.  Package version 15.28.2.8-2 or later is required.  (ie iwl3945-firmware-15.28.2.8-2 or later)
 - Also note that the device name, for example as it appears in the output of the `ifconfig` command appears as eth0 (or eth1) when using the ipw3945 driver, when using the iwl3945 driver it is identified as wlan0.
Comment 14 John W. Linville 2009-08-06 15:47:05 EDT
FWIW, looks fine to me...
Comment 15 John W. Linville 2009-08-06 15:50:26 EDT
*** Bug 515621 has been marked as a duplicate of this bug. ***
Comment 17 Ryan Lerch 2009-08-26 20:07:11 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,10 +1,8 @@
-editorial comment: this is an important migration issue. therefore it warrants the prominence of mention in the relnotes; rather than being obscured in the tech notes.)
+Red Hat is no longer able to responsibly support the ipw3945 wireless laptop network driver to the full levels of service, as the upstream company responsible for that driver has suspended maintenance efforts on the driver.
+Red Hat, following the guidance of the company responsible for the driver has migrated over to the iwl3945 driver (first introduced in Red Hat Enterprise Linux 5.3). Ongoing maintenance of driver issues associated with the 3945 hardware will be provided on the iwl3945 driver. All fresh/full installations of Red Hat Enterprise Linux 5.4 on systems with 3945 hardware will install the iwl3945 driver.
+Red Hat continues to provide the ipw3945 driver in Red Hat Enterprise Linux 5.4 as a migration convenience. It is recommended that customers transition to the iwl3945 driver. Refer to the Red Hat Knowledgebase for details on how to transition if you are doing an update install from a system that had its full installation prior to Red Hat Enterprise Linux 5.4.
+Customers who report issues with the ipw3945 driver may be referred to migrate to the iwl3945 driver for resolution. For example, there are known issues connecting to VPN concentrators present in the ipw3945 driver which are resolved in the iwl3945 driver.
 
-- Red Hat is no longer able to responsibly support the ipw3945 wireless laptop network driver to our normal full levels of service as the upstream company responsible for that driver has suspended maintenance efforts on this particular driver.
+Note
-- Red Hat, following the guidance of the company responsible for the driver has migrated over to the iwl3945 driver (first introduced in Red Hat Enterprise Linux 5.3)
+the use of the iwl3945 driver requires installing the iwl3945-firmware package from the supplementary RHN channel. Package version 15.28.2.8-2 or later is required. (ie iwl3945-firmware-15.28.2.8-2 or later)
-- Ongoing maintenance of driver issues associated with the 3945 hardware will be provided on the iwl3945 driver.
+Additionally, the device name, for example as it appears in the output of the `ifconfig` command appears as eth0 (or eth1) when using the ipw3945 driver, when using the iwl3945 driver it is identified as wlan0.-- All fresh/full installations of Red Hat Enterprise Linux 5.4 on systems with 3945 hardware will install the iwl3945 driver.
-- Red Hat continues to provide the ipw3945 driver in Red Hat Enterprise Linux 5.4 as a migration convenience.  We do recommend that customers transition to the iwl3945 driver.  Refer here to (kbase - that Jeremy West agreed to do) for details on how to transition if you are doing an update install from a system that had its full installation prior to Red Hat Enterprise Linux 5.4.
-- Customers who report issues with the ipw3945 driver may be referred to migrate to the iwl3945 driver for resolution.  For example, there are known issues connecting to VPN concentrators present in the ipw3945 driver which are resolved in the iwl3945 driver.
-- Note that use of the iwl3945 driver requires installing the iwl3945-firmware package from the supplementary RHN channel.  Package version 15.28.2.8-2 or later is required.  (ie iwl3945-firmware-15.28.2.8-2 or later)
-- Also note that the device name, for example as it appears in the output of the `ifconfig` command appears as eth0 (or eth1) when using the ipw3945 driver, when using the iwl3945 driver it is identified as wlan0.
Comment 18 RHEL Product and Program Management 2009-11-06 13:46:35 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 26 RHEL Product and Program Management 2010-08-09 14:27:03 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 27 Jon Masters 2010-08-24 00:27:19 EDT
Red Hat has deprecated this driver, which has long since been replaced by another driver. A note was made to this effect.

Note You need to log in before you can comment on or make changes to this bug.